> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bebop.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Order Status

> Returns the current status of a previously submitted order. Possible statuses include Pending, Success, Failed, and Expired.



## OpenAPI

````yaml /specs/aggregation-api.json get /v2/order-status
openapi: 3.1.0
info:
  title: Bebop Aggregation API
  version: '2'
  description: >-
    Aggregation API powered by solver competition. Get the best swap prices from
    multiple solvers.
servers:
  - url: https://api.bebop.xyz/jam/{chain}
    variables:
      chain:
        default: ethereum
        enum:
          - ethereum
          - polygon
          - arbitrum
          - bsc
          - zksync
          - optimism
          - blast
          - mode
          - base
          - scroll
          - taiko
          - superseed
          - berachain
          - hyperevm
          - avalanche
        description: Blockchain network
security: []
paths:
  /v2/order-status:
    get:
      summary: Order Status
      description: >-
        Returns the current status of a previously submitted order. Possible
        statuses include Pending, Success, Failed, and Expired.
      operationId: getOrderStatus
      parameters:
        - name: quote_id
          in: query
          required: true
          schema:
            type: string
            title: Quote Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrderStatusResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    OrderStatusResponse:
      properties:
        status:
          $ref: '#/components/schemas/OrderApiStatus'
        txHash:
          anyOf:
            - type: string
            - type: 'null'
          title: Txhash
        amounts:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Amounts
        surplus:
          anyOf:
            - type: number
            - type: 'null'
          title: Surplus
      type: object
      required:
        - status
      title: OrderStatusResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    OrderApiStatus:
      type: string
      enum:
        - Pending
        - Success
        - Settled
        - Confirmed
        - Failed
      title: OrderApiStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````